package loadtest

import io.gatling.core.Predef._
import io.gatling.http.Predef._

class CheckBody extends Simulation {
  val scn = scenario("body").exec(
    http("hello")
      .get("/hello?name=john")
      .check(
        css("h1").is("Hello john")))

  setUp(scn.inject(atOnceUsers(1)))
    .protocols(http.baseURL("http://localhost"))
}
