package loadtest01

import akka.actor._
import akka.pattern.{ ask, pipe }
import akka.util.Timeout
import scala.concurrent.duration._
import scala.concurrent._

object Ask extends App {
  val sys = ActorSystem("sys")
  val p = Props[Hello]
  val a: ActorRef = sys.actorOf(p, "hello")

  implicit val t = Timeout(5 seconds)
  val future = a ? 3.14

  import sys.dispatcher
  future.pipeTo(a)

  sys.shutdown
}
