package loadtest

import io.gatling.core.Predef._
import io.gatling.http.Predef._

class UseFeeder extends Simulation {
  val scn = scenario("CSV")
    .feed(csv("users.csv"))
    .exec(http("hello")
      .get("/hello?name=${name}")
      .queryParam("age", "${age}"))

  setUp(scn.inject(atOnceUsers(4)))
    .protocols(http.baseURL("http://localhost"))
}
