package loadtest

import io.gatling.core.Predef._

class UseSession extends Simulation {
  val scn = scenario("Session")
    .exec { sess =>
      sess.set("name1", "john") // 格納されない
      sess.set("age", 18)
    }.exec { sess =>
      val newone = sess.set("name2", "john")
      newone.set("lang", "en_US")
    }.exec { sess =>
      println(sess.attributes)
      sess
    }

  setUp(scn.inject(atOnceUsers(1)))
}
