package victim;

import java.io.UnsupportedEncodingException;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.util.Arrays;
import java.util.Base64;

class Credential {
	static final String KEY = "cred";

	String uid, password, token;

	public Credential(String uid, String pass) {
		this.uid = uid;
		this.password = pass;
	}

	synchronized String hash() {
		if (token != null) {
			return token;
		}
		try {
			MessageDigest md = MessageDigest.getInstance("SHA-256");
			Arrays.asList(uid, password).stream().map(s -> s.getBytes())
					.forEach(md::update);
			token = new String(Base64.getEncoder().encode(md.digest()),
					"UTF-8");
			return token;
		} catch (NoSuchAlgorithmException | UnsupportedEncodingException e) {
			throw new IllegalStateException(e);
		}
	}

	@Override
	public String toString() {
		return String.format("uid:%s password:%s", uid, password);
	}
}